Subject: Re: Problem with gcore and permissions
To: D'Arcy J.M. Cain <>
From: dieter <>
List: tech-kern
Date: 01/13/2005 10:31:02
On Thu, 13 Jan 2005, D'Arcy J.M. Cain wrote:

> Are you suggesting that because the server is not built with pthreads to
> begin with?  I had that problem before and fixed (kluged) it by adding
> the following line to postgresql74/Makefile.common:
> .include "../../mk/"
> So all postgresql programs get built with threads anyway.

Ah, but that change didn't make it to pkgsrc-2004Q4. I'll try building 
again with your change.

> What was the error you were seeing?  Did it keep running but get into a
> state that it would not answer queries and could only be killed with -9?

That's exactly what I was seeing. But probably because of the above then?

> This still would not explain why the exact same setup fails on 2.0
> release but not 2.0 RC4 or -current.

I failed to mention, I'm running 2.0RC4 on that particular machine.



 	For Speedy CVS Updates of your NetBSD trees check
 	There is virtue in doing the right thing just for
 	the sake of doing it right.  -- Nicholas Petreley